Bug 1072792 (CVE-2013-4496) - CVE-2013-4496 samba: Password lockout not enforced for SAMR password changes
Summary: CVE-2013-4496 samba: Password lockout not enforced for SAMR password changes
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4496
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1072804 1073352 1073353 1073356 1073357 1073905 1073913 1075429
Blocks: 1044102
TreeView+ depends on / blocked
 
Reported: 2014-03-05 08:56 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:14 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 22:27:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0330 normal SHIPPED_LIVE Moderate: samba and samba3x security update 2014-03-25 19:48:02 UTC
Red Hat Product Errata RHSA-2014:0383 normal SHIPPED_LIVE Moderate: samba4 security update 2014-04-09 21:41:27 UTC

Description Huzaifa S. Sidhpurwala 2014-03-05 08:56:36 UTC
From upstream samba advisory:

Samba versions 3.4.0 and above allow the administrator to implement locking out Samba accounts after a number of bad password attempts. 

However, all released versions of Samba did not implement this check for password changes, such as are available over multiple SAMR and RAP interfaces, allowing password guessing attacks. 

Most sites do not configure the bad password lockout feature.  Typically it is only enabled when Samba is configured as a Domain Controller, so most file server deployments are not impacted. 

This flaw only affects samba when deployed as a Primary Domain Controller.

Upstream bug:
https://bugzilla.samba.org/show_bug.cgi?id=10245

Comment 7 Huzaifa S. Sidhpurwala 2014-03-12 06:11:29 UTC
Public via:

http://www.samba.org/samba/security/CVE-2013-4496

Comment 8 Huzaifa S. Sidhpurwala 2014-03-12 06:13:42 UTC
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1075429]

Comment 9 Fedora Update System 2014-03-15 15:15:29 UTC
samba-4.1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Huzaifa S. Sidhpurwala 2014-03-24 04:53:21 UTC
Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue.
Upstream acknowledges Andrew Bartlett as the original reporter.

Comment 11 errata-xmlrpc 2014-03-25 14:09:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0330 https://rhn.redhat.com/errata/RHSA-2014-0330.html

Comment 12 Fedora Update System 2014-03-28 03:18:32 UTC
samba-4.0.16-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2014-04-09 17:43:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0383 https://rhn.redhat.com/errata/RHSA-2014-0383.html


Note You need to log in before you can comment on or make changes to this bug.